# Enum NettyServerCnxn.HandshakeState

java.lang.Object
java.lang.Enum<NettyServerCnxn.HandshakeState>
org.apache.zookeeper.server.NettyServerCnxn.HandshakeState

All Implemented Interfaces:
  `Serializable, Comparable<NettyServerCnxn.HandshakeState>`

Enclosing class:
  `NettyServerCnxn`

public static enum NettyServerCnxn.HandshakeState extends Enum<NettyServerCnxn.HandshakeState>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FINISHED`
`NONE`
`STARTED`

## Method Summary

Modifier and Type
Method
Description
`static NettyServerCnxn.HandshakeState`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static NettyServerCnxn.HandshakeState[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final NettyServerCnxn.HandshakeState NONE

### STARTED

public static final NettyServerCnxn.HandshakeState STARTED

### FINISHED

public static final NettyServerCnxn.HandshakeState FINISHED

## Method Details

### values

public static NettyServerCnxn.HandshakeState[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static NettyServerCnxn.HandshakeState valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null